import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    kotlin("jvm") version "1.3.72"
    id("com.github.johnrengelman.shadow") version "5.1.0" apply true
    application
}

group = "moe.kageru"
version = "0.1.0"

application {
    mainClassName = "moe.kageru.kodeshare.KodeshareKt"
}
val ktorVersion = "1.3.1"

repositories {
    mavenCentral()
    jcenter()
    maven { url = uri("https://dl.bintray.com/kotlin/ktor") }
    maven { url = uri("https://dl.bintray.com/kotlin/kotlin-js-wrappers") }
}

dependencies {
    implementation(kotlin("stdlib-jdk8"))
    implementation("io.ktor:ktor-server-netty:$ktorVersion")
    implementation("io.ktor:ktor-locations:$ktorVersion")
    implementation("io.ktor:ktor-server-core:$ktorVersion")
    implementation("io.ktor:ktor-html-builder:$ktorVersion")
    implementation("org.jetbrains.exposed:exposed:0.17.7")
    implementation("org.jetbrains:kotlin-css-jvm:1.0.0-pre.104-kotlin-1.3.72")
    implementation("org.mariadb.jdbc:mariadb-java-client:2.6.0")
    implementation("com.uchuhimo:konf-core:0.22.1")
}

tasks.withType<KotlinCompile> {
    kotlinOptions.jvmTarget = "11"
}
